couchdb-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From CGS <cgsmcml...@gmail.com>
Subject Re: Unable to install
Date Thu, 26 Jan 2012 09:03:17 GMT
What Ubuntu do you have?



On Thu, Jan 26, 2012 at 9:56 AM, Philippe Rigaux <
philippe.rigaux@internetmemory.net> wrote:

> Believe me, I tried a lot of things ....
>
> sudo aptitude install couchdb
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> Reading extended state information
> Initializing package states... Done
> Building tag database... Done
> Couldn't find any package whose name or description matched "couchdb"
>
> Thanks anyway
>
> 2012/1/26 CGS <cgsmcmlxxv@gmail.com>
>
> > Why don't you try CouchDB from Ubuntu repository? (sudo aptitude install
> > couchdb)
> >
> > CGS
> >
> >
> >
> > On Thu, Jan 26, 2012 at 9:43 AM, Philippe Rigaux <
> > philippe.rigaux@internetmemory.net> wrote:
> > >
> > > Hello there,
> > >
> > > I tried desperately to install CouchDB on my Ubuntu server, and I run
> > into
> > > too many problems. Buil-couch fails
> > > with the following command:
> > >
> > > /root/bin/git submodule update
> > > Initialized empty Git repository in
> > > /usr/local/bin/build-couchdb/dependencies/couchdb/.git/
> > > Cannot get remote repository information.
> > > Perhaps git-update-server-info needs to be run there?
> > > Clone of 'https://git-wip-us.apache.org/repos/asf/couchdb.git' into
> > > submodule path 'dependencies/couchdb' failed
> > >
> > >
> > > I cannot install from source either. A new version of Erlang (R13B03)
> > needs
> > > to be installed, and it fails miserably as well.
> > >
> > > make[3]: Entering directory
> `/usr/local/src/otp_src_R14B03/lib/hipe/rtl'
> > > erlc -W  +debug_info +inline -o../ebin hipe_rtl.erl
> > > pthread/ethr_event.c:98: Fatal error in wait__(): Function not
> > implemented
> > > (38)
> > > make[3]: *** [../ebin/hipe_rtl.beam] Aborted
> > >
> > > I do not give all the details regarding the various packages,
> > dependencies,
> > > and versions discrepancies I had to solve before that. So I am stuck.
> Any
> > > help would be appreciated. And thanks a lot for your efforts (but
> having
> > a
> > > distribution relying on more stable softwares would be welcome).
> > >
> > > Best,
> > >
> > > Philippe Rigaux
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message